<template>
  <v-bottom-navigation app grow background-color="wrapped">
    <template v-if="isAuth">
      <v-btn :to="{ name: 'Home' }" exact icon>
        <span>Главная</span>
        <v-icon>mdi-home</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Lessons' }" icon>
        <span>Уроки</span>
        <v-icon>mdi-book-open-page-variant</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Courses' }" icon>
        <span>Курсы</span>
        <v-icon>mdi-format-list-bulleted</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Consultations' }" icon>
        <span>Консультации</span>
        <v-icon>mdi-card-account-phone</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Exchange' }" icon>
        <span>Крипта</span>
        <v-icon>mdi-swap-horizontal</v-icon>
      </v-btn>
    </template>

    <template v-if="!isAuth">
      <v-btn :to="{ name: 'Signup' }" icon>
        <span>Регистрация</span>
        <v-icon>mdi-account-plus</v-icon>
      </v-btn>
      <v-btn :to="{ name: 'Login' }" icon>
        <span>Вход</span>
        <v-icon>mdi-login</v-icon>
      </v-btn>
    </template>
  </v-bottom-navigation>
</template>

<script lang="ts">
import Component from 'vue-class-component';
import Vue from 'vue';

@Component({})
export default class BottomNavigation extends Vue {
  private get isAuth(): boolean {
    return this.$store.getters['auth/isAuth'];
  }
}
</script>

<style scoped></style>
